/* Petit programme C pour extraire les infos des fichiers *.dat sortis par quest
   (C) Emmanuel CURIS, novembre 1997 - janvier 1998

   5 fvrier 1998
    * Renomm les fonctions en COR_??? et JNL_??? pour chargement de fichiers distincts

   7 janvier 1998
    * cration de l'historique
    * rcupr le fichier de la station -> travail sur Atari
    * ajout protection contre l'inclusion multiple
    * chang les noms des fonctions de lecture : suffixe CCDB_
    * supprim les dfinitions des messages d'erreur : dans erreurs.h
*/

#ifndef _LIT_CCDB_H_

#define _LIT_CCDB_H_

/* #define VRAI 1
#define FAUX 0 */

typedef struct
{
  float x_vect_a;                     /* Premier vecteur   : (x_vect_a, 0       , 0) */
  float x_vect_b, y_vect_b;           /* Deuxime vecteur  : (x_vect_b, y_vect_b, 0) */
  float x_vect_c, y_vect_c, z_vect_c; /* Troisime vecteur : complet                 */
} Maille;

#define TOUT_VA_BIEN   0
#define NOM_VIDE       1

int JNL_fichier(char *nom_fichier);
int COR_fichier(char *nom_fichier);

#define COMMENTAIRE    1
#define BLAH_BLAH     -2
#define SEPARATEUR    -3
#define DONNEES       -4
#define LIGNE_VIDE    -5

int COR_ligne(FILE *fichier, boolean creer_atome);
int JNL_ligne(FILE *fichier, unsigned long nbr_util);

#endif /* _LIT_CCDB_H_ */