/* Bibliothque X-Window pour les interfaces
            Routines de gestion du clavier
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS - Cration le 29 mai 1998

   Fichier d'inclusions
*/

#ifndef _X_CLAVIER

#define _X_CLAVIER 

/* ***** Fonctions appelables depuis l'extrieur de la librairie X ************ */

/* ***** Fonctions internes  la librairie X -> invisibles de l'extrieur ***** */

#ifdef _LIBRAIRIE_X_

/* Gestion d'un vnement clavier */

int EVNT_clavier (Fenetre *fenetre, XKeyEvent    *clavier);

int CLAV_arbre   (Arbre *arbre, XKeyEvent *clavier);

/* Conversion codage X -> codage TOS des touches */

#define TOUCHE_PRESSEE  0
#define TOUCHE_RELACHEE 1

unsigned int XToucheVersGEM(XKeyEvent *clavier, int mode, KeySym *touche_X);

#endif /* def _LIBRAIRIE_X_ */

#endif /* ndef _X_CLAVIER_ */
