/* Bibliothque mixte GEM / X-Windows
   (C) 1998, Emmanuel CURIS

   Messages d'erreurs gnriques de la bibliothque
*/

#include <stdlib.h>
#include <stdio.h>

#include "strings.h"

#include "Bib_X.h"

#ifdef _FRANCAIS_
/*
#ifndef e_AIGU

#include "latin_1.h" /* Par dfaut, latin 1 comme codage des accents */
/*
#endif
*/
static const char *messages[] = 
{
  "[1][ ----- M"e_AIGU"moire insuffisante ----- |"
     "|    Il n'y a plus assez de m"e_AIGU"moire"
     "| pour r"e_AIGU"aliser l'op"e_AIGU"ration demand"e_AIGU"e][ Annuler ]"
};

#endif

#ifdef _ENGLISH_

static const char *messages[] = 
{
  "[1][ ----- Not enough memory ----- |"
     "|      There's not enough memory"
     "| to perform the desired operation][ Cancel ]"
};

#endif

int ERREUR(int numero_erreur)
{
  switch (numero_erreur)
  {
  case MANQUE_MEMOIRE:
    return form_alert(1, (char *) ( messages[numero_erreur - 1] ) );

  default:
    printf("Erreur inconnue : numro %d\n", numero_erreur);
    return 0;
  }

  return -1;
}
