/* Bibliothque X-Window pour les interfaces
            Messages d'erreur
	    Fichier  inclure
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS

 27 mars 1998
 * Rcupr les messages d'erreur dans gem-erreurs...

 26 mars 1998
   * Cration du fichier
*/

#ifndef _X_ERREURS_H_

#define _X_ERREURS_H_

#define MANQUE_MEMOIRE    1 /* Mmoire insuffisante                    */
#define QUITTER_PROGRAMME 2 /* Faut-il quitter le programme ?          */
#define VALEURS_EGALES    3 /* Deux valeurs devraient tre diffrentes */
#define FEN_OUVERTE       4 /* Fentre dj ouverte                    */
#define TROP_FENETRES     5 /* Trop de fentres ouvertes...            */
#define FEN_INEXISTANTE   6 /* Fentre n'existe pas                    */
#define ERREUR_LECTURE    7 /* Erreur  la lecture d'un fichier        */
#define ERREUR_ECRITURE   8 /* Erreur  l'criture d'un fichier        */
#define FORMAT_INCONNU    9 /* Format de fichier non reconnu           */
#define TROP_VIEUX       10 /* Numro de version trop rcent...        */
#define STATION_REFUSEE  11 /* VDI ne peut pas ouvrir de station       */
#define TROP_FICHIERS    12 /* Trop de fichiers slectionns           */

int ERREUR(int numero_erreur); /* Affichage d'un message d'erreur gnral */

#endif /* _X_ERREURS_H_ */
