/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Bibliothque de menus (MENU lib)

*/

#define _LIBRAIRIE_X_

#include <stdio.h>
#include <stdlib.h>

#include <Bib_X.h>

/* -------- Installer une barre de menu ---------- */

int menu_bar(OBJECT *adresse, int montrer)
{
  int num_arbre;

  if (adresse == NULL)
    return -1; /* On termine */

  for (num_arbre = 0 ; arbres[num_arbre].adresse != adresse ; num_arbre++)
    if (num_arbre > _nbr_arbres)
    {
      printf("menu_bar : pas d'arbre associ  l'adresse %p\n", adresse);
      return -2;
    }

  if (montrer == 1) /* On veut installer le menu */
  {
    installe_menu(num_arbre, arbres[num_arbre].fonction.menu);
  }
  else
  {
  }

  return 0; /* Tout s'est bien pass */
}

int  menu_icheck     (OBJECT  *tree, int itemnum, int checkit);

/* -------- Activer une option de menu ----------- */

int menu_ienable(OBJECT *adresse, int option, int activer)
{
  if (activer)
    OB_STATE(adresse, option) &= ~DISABLED;
  else
    OB_STATE(adresse, option) |= DISABLED;

  if (_Menu == NULL) /* De toute faon, pas de menu install... */
    return 0;

  if (_Menu->adresse == adresse) /* Menu install = celui-ci */
  {
    int i;

    for (i = _Menu->prem_titre ; i < _Menu->prem_titre + _Menu->nbr_titres ; i++)
    {
      if (option == i)
      {
	OBJ_dessine( (_Menu->titres)[i - _Menu->prem_titre], adresse + option );
	return 0;
      }
    }
  }

  return 0;
}

int  menu_tnormal    (OBJECT  *tree, int titlenum, int normalit);
int  menu_text       (OBJECT  *tree, int inum, char  *ptext);
int  menu_register   (int pid, char  *pstr);
