/* Bibliothque X-Window pour les interfaces
            Routines d'accs systme : rcriture du TOS
	    Fichier  inclure
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS

 26 mars 1998
   * Cration du fichier
*/

#ifndef _X_TOS_H_

#define _X_TOS_H_

/* -------------- Fonctions de gestion des fichiers --------- */

typedef struct
{
  char            d_reserved[21];
  unsigned char   d_attrib;
  unsigned int    d_time;
  unsigned int    d_date;
  unsigned long   d_length;
  char            d_fname[256]; /* pour tre plus tranquille...*/
} DTA;

#define CONVERT_DTA  (DTA *)

int Fsfirst(char *masque, int attributs);
int Fsnext (void);

DTA *Fgetdta(void);
int  Fsetdta(DTA *dta);

/* -------------- Fonctions de date et d'heure -------------- */

#include <time.h>

typedef struct
{
  unsigned int jour;
  unsigned int mois;
  unsigned int annee;
} Date_Gemdos;

typedef struct
{
  unsigned int seconde;
  unsigned int minute;
  unsigned int heure;
} Heure_Gemdos;

extern const char *_Mois_[]; /* Les noms des mois */

Date_Gemdos  TGetdate(void);
Heure_Gemdos TGettime(void);

#ifndef CLK_TCK
#  ifdef CLOCKS_PER_SEC
#    define CLK_TCK CLOCKS_PER_SEC
#  else
#    define CLK_TCK 1000000 /* clock() renvoie en microsecondes par dfaut */
#  endif
#endif

#endif /* _X_TOS_H_ */
