/* Bibliothque X-Window pour les interfaces
            Dclaration des variables globales (fichier  inclure)
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS

 25 mars 1998
   * Cration du fichier
*/

#ifndef _X_VARIABLES_H_

#define _X_VARIABLES_H_ 

#include "X_vdi.h"

/* ------------- Spcifiques  X-Windows --------------- */

#ifdef _LIBRAIRIE_X_ /* Usage uniquement pour la librairie X */

extern Colormap  _Palette; /* La palette de couleurs ? */
extern Display  *_Display; /* Paramtres d'affichage   */
extern GC       _GC_programme; /* Environnement graphique gnral */
extern GC       _GC_objets;    /* Environnement graphique pour le dessin des ressources */

extern Visual   *_Visual;      /*  quoi a peut bien servir ? */
extern Screen   *_Ecran;
extern int       _Num_ecran;

extern Window    _Fen_racine;
extern Window    _Fen_redessin;

extern XColor       _Couleur;  /* Couleur dfinie pour X-Window */
extern XColor       _Couleurs[]; /* Couleurs de base GEM */
extern XFontStruct *_Fonte;    /* Fonte utilise pour les affichages de texte par dfaut */

extern const char *_Nom_fonte;

extern XSetWindowAttributes _Attributs; /* Attributs de fentre*/

extern Fenetre *_Fenetre_alertes; /* Fentre pour afficher les messages d'alerte        */
extern Fenetre *_Fenetre_systeme; /* Fentre pour afficher pas mal de choses du systme */
extern Fenetre *_Fenetre_menu;    /* Fentre pour afficher le menu                      */

extern Arbre *_ARB_alertes; /* Arbre contenant les messages d'alerte    */
extern Arbre *_ARB_fselect; /* Arbre contenant le slecteur de fichiers */

extern OBJECT FOBJ_infos;
extern OBJECT FOBJ_closer;
extern OBJECT FOBJ_fl_haut;
extern OBJECT FOBJ_asc_ver;
extern OBJECT FOBJ_fl_bas;
extern OBJECT FOBJ_fl_gauche;
extern OBJECT FOBJ_asc_hor;
extern OBJECT FOBJ_fl_droite;
extern OBJECT Boite_d_alerte[];

extern Menu *_Menu;

extern boolean _Serveur_X_bloque;

#endif /* _LIBRAIRIE_X_ */

/* -------------- Gnrales du programme (gem_var.h) --- */

extern int application;
extern int x_gem, y_gem, larg_gem, haut_gem; /* Dimensions du bureau      */

extern Station_VDI *_PRG_station;

extern long gdos;                         /* Version de GDOS installe */

extern char _intermediaire[];             /* Intermdiaire pour les chaines */

extern int _x_souris,_y_souris;
extern int _x_pointeur,_y_pointeur; /* Coordonnes du pointeur */
extern int _bouton;
extern int _etat;

extern char nom_fichier[];  /* Nom et chemin du fichier courant  */

extern Arbre *arbres;       /* Adresses des structures d'arbres  */
extern int _nbr_arbres;     /* Nombre d'arbres dans le programme */

extern int _PRG_menu;       /* Numro de l'arbre servant de menu */
extern int _PRG_arbre;      /* Arbre actif (dans ext_formdo)     */

extern int buffer[];

extern char *_message;

extern Fenetre *_premiere_fenetre;
extern Fenetre *_derniere_fenetre;

#endif /* _X_VARIABLES_H_ */
