/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Dclarations des fonctions
   Bibliothque de fentres (WINDows library)

*/

/* Window Attributes */

#define NAME        0x0001
#define CLOSER      0x0002
#define FULLER      0x0004
#define MOVER       0x0008
#define INFO        0x0010
#define SIZER       0x0020
#define UPARROW     0x0040
#define DNARROW     0x0080
#define VSLIDE      0x0100
#define LFARROW     0x0200
#define RTARROW     0x0400
#define HSLIDE      0x0800
#define HOTCLOSEBOX 0x1000 /* for compatibility */
#define HOTCLOSE    0x1000

/* wind_calc flags */

#define WC_BORDER        0
#define WC_WORK          1

/* wind_get/wind_set flags */

#define WF_KIND          1
#define WF_NAME          2
#define WF_INFO          3
#define WF_WXYWH         4
#define WF_WORKXYWH      4 /* for compatibility */
#define WF_CXYWH         5
#define WF_CURRXYWH      5 /* for compatibility */
#define WF_PXYWH         6
#define WF_PREVXYWH      6 /* for compatibility */
#define WF_FXYWH         7
#define WF_FULLXYWH      7 /* for compatibility */
#define WF_HSLIDE        8
#define WF_VSLIDE        9
#define WF_TOP          10
#define WF_FIRSTXYWH    11
#define WF_NEXTXYWH     12
#define WF_IGNORE       13
#define WF_NEWDESK      14
#define WF_HSLSIZE      15
#define WF_VSLSIZE      16
#define WF_SCREEN       17
#define WF_TATTRB       18 /* for compatibility */
#define WF_COLOR        18
#define WF_SIZTOP       19 /* for compatibility */
#define WF_DCOLOR       19
#define WF_TOPAP        20 /* for compatibility */
#define WF_OWNER        20
#define WF_BEVENT       24

/* arrow message */

#define WA_SUBWIN        1
#define WA_KEEPWIN       2

int  wind_create     (unsigned int kind, int wx, int wy, int ww, int wh);
int  wind_open       (int handle, int wx, int wy, int ww, int wh);
int  wind_close      (int handle);
int  wind_delete     (int handle);
int  wind_get        (int handle, int wfield, ...);
int  wind_set        (int handle, int wfield, ...);
int  wind_find       (int mx, int my);
int  wind_calc       (int demande, unsigned int attributs,
		      int x, int y, int w, int h,
		      int *px, int *py, int *pw, int *ph);
void wind_new        (void);
int  wind_apfind     (int mx, int my);

/* ~~~~~~~~~~ Prises de contrle AES (wind_update()) ~~~~~~~~~~ */

#define END_UPDATE       0
#define BEG_UPDATE       1
#define END_MCTRL        2
#define BEG_MCTRL        3
#define BEG_EMERG        4
#define END_EMERG        5

int  wind_update     (int beg_update);

