/* LASE - Logiciel d'analyse des spectres EXAFS
   (C) Emmanuel CURIS, 1998 - fichier cr le 14 juin 1998

   Macros de conversion VDI -> Postscript : devrait faciliter les conversions de code...
*/

#ifndef _PS_VDI_

#define _PS_VDI_ 

void PS_pline  (FILE *fichier, unsigned int nbr_pts, int *points);
void PS_pmarker(FILE *fichier, unsigned int nbr_pts, int *points);
void PS_gtext  (FILE *fichier, int x, int y, char *chaine);

void PS_sl_type(FILE *fichier, int type);
void PS_st_alignment(FILE *fichier, int hor, int ver, int *hor_eu, int *ver_eu);

void PS_haut_texte(FILE *fichier, float haut, float *reelle); /* En points = 1/72 p */

#endif /* _PS_VDI_ */
