/* Traitement de l'E.X.A.F.S. sur Atari
	 Tout ce qui concerne le calcul du spectre d'absorption  partir des fichiers exprimentaux
   (c) 1996  1998, Emmanuel CURIS - Cration du fichier : 27 mai 1998

   Les messages d'erreur qui peuvent survenir
*/

#include <stdio.h>
#include <stdlib.h>

#include <SYSTEME.H>

#include "ERR_EXT.H"

#define NBR_MESSAGES 5

static const char *textes[] =
{ "[3][----- Signal exp"e_AIGU"rimental -----|"
    " |    On trouve I0 = 0 ! Perte du|"
      "faisceau ?][Sauter|Continuer|Arr"e_CIRC"ter]",

  "[3][---- Signal en absorbance ----|"
    " |    On trouve I1 = 0 ! Perte du|"
      "faisceau ?|"
      "    Signal arbitrairement nul.][Sauter|Continuer|Arr"e_CIRC"ter]",

  "[1][---- Fichier multi-"e_AIGU"l"e_AIGU"ment ----| |   Le nombre d'"e_AIGU"l"e_AIGU"ments n'a pas|"e_AIGU"t"e_AIGU" indiqu"e_AIGU" !|   Op"e_AIGU"ration impossible][Abandon]",

  "[3][--- Chargement d'un signal ---|"
    " | Le fichier indiqu"e_AIGU" ne contient|"
      "pas d'en-t"e_CIRC"te ! Le format est|"
      "peut-"e_CIRC"tre incorrect.][Continuer|Annuler]",

  "[3][-- Import d'un fichier texte --|"
    " |  Caract"e_GRAVE"re inconnu : %c|"
      "  Le r"e_AIGU"sultat est impr"e_AIGU"visible.][Arr"e_CIRC"ter|Continuer]" 
};

int EXT_ERREUR(unsigned int numero_erreur, int parametre)
{
	char message[300];

	if (numero_erreur < NBR_MESSAGES)
	{
		switch (numero_erreur)
		{
    case CAR_INCONNU:
    	sprintf(message, textes[CAR_INCONNU], (char) parametre);
    	return form_alert(1, (const char *) message);

		default:
			return form_alert(1, textes[numero_erreur]);
		}
	}

	/* Erreur inconnue */
	return -1;
}
