/* LASE - Logiciel d'Analyse des Spectres EXAFS
   (c) 1998, Emmanuel CURIS - Cration : le 3 juin 1998  

  Messages d'erreur du module de lissage
*/

#include <stdio.h>

#include <SYSTEME.H>

#define NOMBRE_MESSAGES 4

static const char *messages[] =
{
  "[1][-- M"e_AIGU"thode du pivot de Gauss --| |"
      "  La matrice du syst"e_GRAVE"me n'est|"
      "  pas inversible ! Le syst"e_GRAVE"me|"
      "  n'a pas de solutions.][Annuler]",
  "[1][- M"e_AIGU"thode des moindres carr"e_AIGU"s -| |"
      "  Aucun point ne satisfait les|"
      "crit"e_GRAVE"res demand"e_AIGU"s !][Annuler]",
  "[1][--- Lissage par une spline ---"
     "|   Le graphe contient trop peu"
     "|de points pour autoriser cette"
     "|m"e_AIGU"thode. Choisir un lissage"
     "|lin"e_AIGU"aire ou parabolique.][ Abandon ]",
  "[1][---- Lissage par spline -----| "
     "|  Le spectre final a moins de"
     "|points que l'original ! On ne"
     "|peut que perdre en pr"e_AIGU"cision.][Continuer| Arr"e_CIRC"ter ]"
};

int LIS_ERREUR(unsigned int num_erreur)
{
	if (num_erreur < NOMBRE_MESSAGES)
		return form_alert(1, messages[num_erreur]);

  printf("Module de lissage : erreur %d survenue pendant le calcul... \n", num_erreur);
  return 1;
}
