/* Traitement de l'E.X.A.F.S. sur Atari
   Tout ce qui concerne le X.A.N.E.S.
   (c) 1996-1998, Emmanuel CURIS - Cration : 22 mai 1998

   Messages d'erreur pour toute cette partie
   Chanes des botes d'alerte dans XAN_ERRS.RSC
   Index et codes des messages d'erreur dans XAN_ERRS.H
*/

/* ********* Variables locales : les textes des messages d'erreur ********* */

#define NOMBRE_ALERTES 2

#include <stdio.h>
#include <SYSTEME.H>

#include "XAN_ERRS.H"

static const char *XAN_erreurs[] = 
{
"[1][-- Soustraction de "MU"(matrice) -| |    La valeur de E1 indiqu"e_AIGU"e |est trop petite : aucun point|du graphe ne convient.][Annuler]",
"[1][-- Soustraction de "MU"(matrice) -| |   Les deux points de contr"o_CIRC"le|sont confondus ! Le calcul ne|peut pas "e_CIRC"tre r"e_AIGU"alis"e_AIGU".][Annuler]"
};

/* ********* Fonctions locales : aucune *********************************** */

/* ********* Dfinitions des fonctions ************************************ */

int XAN_ERREUR(unsigned int code_erreur)
{
  if ( code_erreur > NOMBRE_ALERTES ) /* Erreur de code inconnu */
  {
    printf("XANES : message d'erreur inconnu, code %ud\n", code_erreur);
    return 0;
  }

	return form_alert(1, XAN_erreurs[code_erreur]);
}
