/* ***** Programme de traitement de l'EXAFS
     ------- Gestion d'un ensemble d'atomes pour les modles de calcul
             Dfinition des arbres GEM et des alertes

   (c) Emmanuel CURIS, 1998

  5 janvier 1998
   * Ajout 1 arbre : IMPORTE_ATOMES

 16 janvier 1998
   * Cration du fichier
   * Rcupration des resources de ATM_RSC.RSH : 1 arbre
*/

#define _ATOMES_GEM_ 

#include <stdio.h>
#include <stdlib.h>

#ifdef _UNIX_

# include "../SYSTEME.H"
/*# include "../RSC.H" */

#else

# include "..\SYSTEME.H"
/*# include "..\RSC.H" */

#endif /* UNIX */

#include "ATOMES.H"
#include "ATM_ERR.H"
#include "ATM_RSC.H"

/* ------------- La dfinition des arbres qui servent ici ------------ *
 *   Repris de ATM_RSC.RSH
 *
 * rs_frstr   doit tre chang en ATM_alertes
 ***********************************************************************/

/* ------------- Les botes d'alerte ------------------------------------------------- */

char *ATM_alertes[] =
{
  "[1][----- Gestion des atomes -----|    Cet atome d"e_AIGU"veloppe trop de| liaisons !  On ne peut d\202finir| plus de 15 liaisons avec cette| version du logiciel.][Abandon]",
  "[1][----- Gestion des atomes -----| |   Deux des atomes sont "a_GRAVE" la |m"e_CIRC"me position ! Ce n\047est pas|tr"e_GRAVE"s r"e_AIGU"aliste !][Effacer|Abandon]",
  "[1][----- Gestion des atomes -----| | Deux atomes se chevauchent. So|nt-ils r"e_AIGU"ellement li\202s par une |liaison covalente ?][Abandon]"
};
