/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS - Cration : 2 juin 1998

   Fichier d'inclusion gnrique : tout ce qu'il faut pour utiliser la lib X
*/

#ifndef _BIBLIOTHEQUE_X_

#define _BIBLIOTHEQUE_X_ 

#ifndef e_CIRC /* On n'a pas dfini les accents */

#  include "latin_1.h" /* Par dfaut : codage ISO-Latin 8859-1 */

#endif

typedef int boolean;

#define FAUX       0
#define VRAI       1

#define _QUITTER 254
#define _FIN_PRG 255

/* Inclusion des fichiers X-Window */

#include <X11/X.h>
#include <X11/Xos.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>
#include <X11/Xatom.h>
#include <X11/Xmd.h>

/* Inclusion des fichiers de la bibliothque X */

#include "X_arbres.h"
#include "X_clavier.h"
#include "X_erreurs.h"
#include "X_fenetres.h"
#include "X_fichiers.h"
#include "X_manquant.h"
#include "X_menu.h"
#include "X_objets.h"
#include "X_ressources.h"
#include "X_tos.h"
#include "X_vdi.h"

#include "X_general.h" /*  la fin car fait appel  tout... */
#include "X_var.h"

/* Fichiers de dclaration : fonctions AES */

#include "X_evnt_lib.h"
#include "X_form_lib.h"
#include "X_graf_lib.h"
#include "X_menu_lib.h"
#include "X_objc_lib.h"
#include "X_rsrc_lib.h"
#include "X_wind_lib.h"

/* Fonctions VDI */

#include "X_v_lib.h"
#include "X_vs_lib.h"
#include "X_vq_lib.h"
#include "X_vdivers_lib.h"

#endif /* _BIBLIOTHEQUE_X_ */
