/* Bibliothque indpendante de la machine
   Version X-Window

   (c) Emmanuel CURIS, 1998

   Dfinition des fonctions ventuellement manquantes avec certains compilateurs
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <errno.h>

#ifdef _SANS_STRDUP_

char *strdup(const char *source)
{
  char *copie;

  if (source == NULL)
    return NULL;

  copie = (char *) malloc(strlen(source) + 1); /* +1 car zro final */
  if (copie == NULL)
  {
    errno = ENOMEM;
    return NULL;
  }

  memcpy(copie, source, strlen(source) + 1);
  return copie;
}

#endif /* defined(_SANS_STRDUP_) */

