/* Bibliothque X-Window pour les interfaces
            Dclaration des variables globales
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS

 25 mars 1998
   * On continue le fichier...

 19 mars 1998
   * Cration du fichier
   * Rcupr les initialisations dans x_win_gem.c (vieux truc...)
*/

#define _LIBRAIRIE_X_

#include <malloc.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <Bib_X.h>

/* ------------- Spcifiques  X-Windows --------------- */

Colormap  _Palette; /* La palette de couleurs ? */
Display  *_Display; /* Paramtres d'affichage   */
GC        _GC_programme; /* Environnement graphique gnral */
GC        _GC_objets;    /* Environnement graphique pour le dessin des ressources */

int       _Num_ecran;    /* Le numro de l'cran */
Screen   *_Ecran;        /* L'cran pour les affichages */
Visual   *_Visual;       /*  quoi a peut bien servir ? */

Window    _Fen_racine;   /* La fentre racine pour l'affichage */
Window    _Fen_redessin; /* La fentre dans laquelle on travaille */

XColor       _Couleur;      /* Couleur dfinie pour X-Window                          */
XColor       _Couleurs[16]; /* Les 16 couleurs de base du GEM atari...                */
XFontStruct *_Fonte;        /* Fonte utilise pour les affichages de texte par dfaut */

/* const char *_Nom_fonte = "-*-courier-*-r-normal-*-*-*-*-*-m-*-iso8859-1"; */
const char *_Nom_fonte = "6x13";

XSetWindowAttributes _Attributs; /* Attributs de fentre*/

Fenetre *_Fenetre_alertes; /* Fentre pour afficher les messages d'alerte        */
Fenetre *_Fenetre_systeme; /* Fentre pour afficher pas mal de choses du systme */
Fenetre *_Fenetre_menu;    /* Fentre pour afficher le menu                      */

Arbre *_ARB_alertes = NULL; /* Arbre pour les messages d'alerte    */
Arbre *_ARB_fselect = NULL; /* Arbre pour le slecteur de fichiers */

Menu *_Menu = NULL; /* Menu */

boolean _Serveur_X_bloque = FAUX; /* VRAI si appel sous interruption -> serveur X bloqu */

/* -------------- Gnrales du programme (gem_var.h) --- */

int application;
int x_gem = 0, y_gem = 0, larg_gem = 800, haut_gem = 600; /* Dimensions du bureau      */

Station_VDI *_PRG_station;

long gdos = FAUX;                         /* Version de GDOS installe : toujours faux sous X... */

char _intermediaire[500];                 /* Intermdiaire pour les chaines */

int _x_souris,_y_souris;
int _x_pointeur,_y_pointeur; /* Coordonnes du pointeur */
int _bouton;
int _etat;

char nom_fichier[500];  /* Nom et chemin du fichier courant  */

Arbre *arbres;       /* Adresses des structures d'arbres  */
int _nbr_arbres;     /* Le nombre d'arbres au total dans le programme */

int _PRG_menu;       /* Numro de l'arbre servant de menu */
int _PRG_arbre;      /* Arbre actif (dans ext_formdo)     */

int buffer[8];       /* Tampon pour les messages */

char *_message;

Fenetre *_premiere_fenetre;
Fenetre *_derniere_fenetre;

const char *_Titre_par_defaut = "Biblioth"e_GRAVE"que de fonctions X-Window / GEM - "COPYRIGHT" Emmanuel CURIS, 1998";

OBJECT FOBJ_infos  =
    { -1, -1, -1, G_INFOS, NONE, NORMAL, {"Barre d'informations"}, 0, 0, 1, 1};
OBJECT FOBJ_closer =
    { -1, -1, -1, G_CLOSER, NONE, NORMAL, {NULL}, 0, 0, 1, 1};
OBJECT FOBJ_fl_haut =
    { -1, -1, -1, G_FLECHE_HAUT, NONE, NORMAL, {NULL}, 0, 0, 1, 1};
OBJECT FOBJ_asc_ver =
    { -1, -1, -1, G_ASC_VERT, NONE, NORMAL, {NULL}, 0, 0, 1, 1};
OBJECT FOBJ_fl_bas =
    { -1, -1, -1, G_FLECHE_BAS, NONE, NORMAL, {NULL}, 0, 0, 1, 1};
OBJECT FOBJ_fl_gauche =
    { -1, -1, -1, G_FLECHE_GAUCHE, NONE, NORMAL, {NULL}, 0, 0, 1, 1};
OBJECT FOBJ_asc_hor =
    { -1, -1, -1, G_ASC_HOR, NONE, NORMAL, {NULL}, 0, 0, 1, 1};
OBJECT FOBJ_fl_droite =
    { -1, -1, -1, G_FLECHE_DROITE, NONE, NORMAL, {NULL}, 0, 0, 1, 1};

OBJECT Boite_d_alerte[] = 
{/* Racine */
  {-1, 1, 9, G_BOX,
   NONE, NORMAL, {(char *) 0x00000100L},
   0, 0, 61, 9},
 /* Premire chane */
  { 2, -1, -1, G_STRING,
    NONE, NORMAL, {NULL},
    10, 1, 50, 1},
 /* Deuxime chane */
  {3, -1, -1, G_STRING,
   NONE, NORMAL, {NULL},
   10, 2, 50, 1},
 /* Troisime chane */
  { 4, -1, -1, G_STRING,
    NONE, NORMAL, {NULL},
    10, 3, 50, 1},
 /* Quatrime chane */
  { 5, -1, -1, G_STRING,
    NONE, NORMAL, {NULL},
    10, 4, 50, 1},
 /* Cinquime chane */
  { 6, -1, -1, G_STRING,
    NONE, NORMAL, {NULL},
    10, 5, 50, 1},
 /* Premier bouton */
  { 7, -1, -1, G_BUTTON,
    EXIT, NORMAL, {"Bouton 1"},
    5, 7, 15, 1},
 /* Deuxime bouton */
  { 8, -1, -1, G_BUTTON,
    EXIT, NORMAL, {"Bouton 2"},
    25, 7, 15, 1},
 /* Troisime bouton */
  { 9, -1, -1, G_BUTTON,
    EXIT, NORMAL, {"Bouton 3"},
    45, 7, 15, 1},
 /* Icne --- Objet 9 */
  { ROOT, -1, -1, G_ICON,
    LASTOB, NORMAL, {NULL},
    1, 1, 8, 5}
};
