/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Bibliothque de base VDI (fonctions vq_??? : lecture de paramtres) */

#ifndef _X_VQ_LIB_H_

#define _X_VQ_LIB_H_ 

#include "../SYSTEME.H"

void vq_color          (int handle, int index, int set_flag, int  *rgb);
void vq_cellarray      (int handle, int  *pxyarray,
                          int row_length, int num_rows,
                          int  *el_used, int  *rows_used,
                          int  *status, int  *colarray);
void vq_chcells        (int handle, int  *rows, int  *columns);
void vq_curaddress     (int handle, int  *row, int  *column);
void vq_extnd          (int handle, int owflag, int  *work_out);
int  vq_gdos           (void);
void vq_key_s          (int handle, int  *status);
void vq_mouse          (int handle, int  *status, int  *px, int  *py);
int  vq_tabstatus      (int handle);
void vq_scan           (int handle, int  *g_height, int  *g_slices,
                          int  *a_height, int  *a_slices, int  *factor);
void vq_tdimensions    (int handle, int  *xdimension, int  *ydimension);

void vqf_attributes    (int handle, int  *attrib);

void vqin_mode         (int handle, int dev_type, int  *input_mode);

void vql_attributes    (int handle, int  *attrib);

void vqm_attributes    (int handle, int  *attrib);

int  vqp_filmname      (int handle, int index, char  *name);
void vqp_films         (int handle, char  *film_names);
void vqp_state         (int handle, int  *port, char  *film_name,
                          int  *lightness, int  *interlace,
                          int  *planes, int  *indexes);
int  vqp_error         (int handle);

void vqt_attributes    (int handle, int  *attrib);
void vqt_devinfo       (int handle, int pilote, int *existe, char *nom);
void vqt_extent        (int handle, char  *string, int  *extent);
void vqt_fontinfo      (int handle, int  *minADE, int  *maxADE,
                          int  *distances, int  *maxwidth, int  *effects);
int  vqt_justified     (int handle, int x, int y, char  *string,
                          int length, int word_space, int char_space, int  *offsets);
int  vqt_name          (int handle, int element_num, char  *name);
int  vqt_width         (int handle, char character, int  *cell_width,
                          int  *left_delta, int  *right_delta);

#endif /* _X_VQ_LIB_H_ */
