
#define MENU 0
#define TIT_GRAPHES 5
#define TIT_EXTRACTION 6
#define TIT_FILTRAGE 7
#define TIT_ERREURS 8
#define TIT_TRACE 9
#define INFOS 12
#define CHARGER 21
#define SAUVER 22
#define IMPORTER 23
#define EXPORTER 24
#define MEN_EXPORTIMAGE 25
#define EXTRAIRE 27
#define IMP_GRAPHE 29
#define CONFIG 31
#define QUITTER 33
#define CREER_GRAPHE 35
#define MODE_DESSIN 36
#define MEN_TT_EFFACER 37
#define MEN_TRONQUE_GRF 39
#define DERIVE_GRAPHE 40
#define INTEGRE_GRAPHE 41
#define ABERRANCE 42
#define GRF_DECOMP_BASE 43
#define MEN_FONDRE 45
#define OP_DIVERSES 46
#define MEN_MOYENNER 47
#define COMP_GRAPHES 48
#define MEN_CLC_SIGNAL 50
#define MEN_CONV_ABS_FLU 51
#define MEN_CORR_NRJ 52
#define MATRICE 54
#define CHERCHE_E0 55
#define XANES_TOUT 57
#define DERIVEE_UN 58
#define DERIVEE_DEUX 59
#define XAN_NORMALISE 60
#define INT_PRESEUIL 61
#define EXAFS_TOUT 63
#define MEN_EXF_REFAIRE 64
#define OTE_MU0_1 65
#define OTE_MU0_2 66
#define OTE_MU0_3 67
#define MEN_MU0_TOTAL 68
#define MEN_EXF_NORMALIS 69
#define MAGNIFIER 70
#define CONVERSION 71
#define TF 73
#define FILTRE_PIC 74
#define RECOMP_TF 76
#define CORR_AMPLITUDE 78
#define CORR_PHASE 79
#define MEN_ECART 81
#define MEN_MOYENNE 83
#define MEN_DISP_STAND 84
#define MEN_COMP_MODELES 86
#define DESSINER 88
#define DECAL_GRAPHES 89

#define INFORMATIONS 1
#define TRAITE_SPECTRES 1
#define CALC_THEORIQUES 2
#define HISTORIQUE 3
#define EXF_AJUSTEMENTS 4
#define INFOS_AVANT 5
#define INFOS_APRES 6
#define INFOS_FOND 7
#define INFOS_FOND_TEXTE 9
#define INFOS_PREM_TEXTE 10
#define INFOS_DERN_TEXTE 18

#define TYPE_LIGNE 2
#define TRANSMISSION 4
#define FLUORESCENCE 5
#define LIGNES_FOND 6
#define LURE_1 7
#define LURE_2 8
#define ITALIE 9
#define AUTRE_LIGNE 10
#define LGN_GARDE_I0 12
#define LGN_GARDE_I1 13
#define LIG_GARDE_SIGNAL 14
#define MULTI_ELEMENTS 15
#define NOMBRE_ELEMENTS 17
#define MULTI_ELEM_SOMME 19
#define MULTI_ELEM_MOYEN 20
#define MULTI_ELEM_SEPAR 21
#define LIGNES_SAUT 22
#define MULTI_ELEM_TOUS 25
#define MULTI_ELEM_CHOIX 26
#define ENERGIE 27
#define COLONNE_I0 28
#define MULTI_SPECTRES 29
#define NOMBRE_SPECTRES 31
#define COLONNE_I1 32
#define MSPR_SOMME 34
#define MSPR_MOYENNE 35
#define MSPR_SEPARER 36
#define MSPR_FUSION 37
#define MSPR_TOUS 40
#define MSPR_SELECTION 41
#define EXTRAIT_OK 42
#define LGN_2_CHAMBRES 43
#define EXTRAIT_ANNULER 45
#define EXTRAIT_TRIER 46
#define EXTRAIT_DOUBLONS 47
#define LGN_GARDE_I2 48
#define LGN_COLONNE_I2 49
#define MELM_SIGMA_LOG 51
#define MELM_LOG_SIGMA 52
#define EXTRAIT_ANALYSE 53
#define NBR_COLONNES 54
#define MSPR_SIGMA_LOG 56
#define MSPR_LOG_SIGMA 57
#define EXTRAIT_CORRIGE 58

#define FORMAT_EXPORT 3
#define TITRE_IMP_EXP 1
#define EDA 2
#define GNUPLOT 3
#define ASCII 4
#define IMPORT_FEFF 5
#define EXPORT_ANNULE 8

#define CHOIX_GRAPHE 4
#define GRAPHE_1 2
#define GRAPHE_14 15
#define GRAPHE_AVANT 16
#define TYPE_GRAPHE 18
#define GRAPHE_FOND 19
#define GRAPHE_BOUTON 20
#define LEGENDE_X 21
#define LEGENDE_Y 22
#define COULEUR_GRAPHE 24
#define GR_APPLIQUER 26
#define GRF_TS_TRACER 27
#define EFFACER_GRAPHE 28
#define COPIE_GRAPHE 29
#define GRAPHE_APRES 30
#define GRF_TRIER 31
#define INVERSER_GRAPHE 32
#define GRF_LISSER 33
#define GRF_NORMALISE 34
#define GRF_DECOMPOSE 35
#define GR_NOM 36
#define LIGNE_GRAPHE 38
#define GRF_TRACER_AUCUN 39

#define DEMANDE_N 5
#define MAG_NV_GRAPHE 2
#define MAG_VALEUR 3
#define MAG_OK 4
#define MAG_ANNULER 5

#define CHX_COULEUR 6

#define ELIM_MUMATRICE 7
#define VALEUR_E1 2
#define ELIM_MUM_PREMIER 4
#define ELIM_MUM_DERNIER 6
#define ELIM_MUM_AVANT 7
#define ELIM_MUM_APRES 8
#define ELIM_MUM_FOND 9
#define MUM_E1_PRIME 11
#define MUM_DEGRE_AVANT 13
#define MUM_DEGRE_FOND 14
#define MUM_DEGRE 15
#define MUM_DEG_APRES 16
#define MUM_POINT_2 17
#define MUM_MU_0 19

#define ELIM_MU0_1 8
#define VALEUR_E0 2
#define VALEUR_E2 4
#define DEGRE_MOINS 5
#define ELIM_MU0_FOND 6
#define DEGRE_VALEUR 7
#define DEGRE_PLUS 8
#define ELIM_MU0_RAPIDE 11
#define ELIM_MU0_LENT 12
#define MU01_DEG_AFFICHE 14
#define MU01_ERREUR 15

#define IMPORTE_FEFF 9
#define FEFF_FEFF 3
#define FEFF_CHIP 4
#define FEFF_CHI 5
#define FEFF_XMU 6
#define FEFF_REPHC 8
#define FEFF_AMP 9
#define FEFF_REDFAC 10
#define FEFF_LIBRE 11
#define FEFF_K 14
#define FEFF_ENERGIE 15
#define FEFF_E_RELATIVE 16
#define FEFF_OK 17
#define FEFF_ANNULE 18
#define FEFF_PHASE 19
#define FEFF_RE_PH 20
#define FEFF_TOUT 22
#define FEFF_UNIQUE 23
#define FEFF_PHIM2KR 24
#define FEFF_EXAFS 25
#define FEFF_ABSORBE 26

#define ELIM_MUO_DEUX 10
#define ELMU2_MOINS 2
#define ELMU2_FOND 3
#define ELMU2_VALEUR 4
#define ELMU2_PLUS 5
#define ELMU2_CHOIX 6
#define ELIM2_FOND 7
#define ELIM2_RAPIDE 8
#define ELIM2_PRECISE 9

#define CONVERT_K_E 11
#define CONV_NV_GRAPHE 2
#define VAL_CONVERT 3
#define CONV_ANNULE 5
#define CONV_FOND 7
#define CONV_KVE 8
#define CONV_EVK 9

#define CHX_GRAPHE 12
#define CHXG_TITRE 1
#define CHXG_FOND 2
#define CHXG_NOM1 3
#define CHX_NOM10 12
#define CHXG_OK 13
#define CHXG_ANNULE 14
#define CHXG_AVANT 15
#define CHXG_FOND_ASC 16
#define CHXG_POUSSOIR 17
#define CHXG_APRES 18

#define AFFICHE_VALEUR 13
#define AFF_TITRE 1
#define AFF_VALEUR 2

#define CHOIX_VALEUR 14
#define CHXVAL_TITRE 1
#define CHXVAL_VALEUR 2
#define CHXVAL_UNITE 4

#define DEBUT_TF 15
#define R_MIN 2
#define R_MAX 3
#define FOUR_PAS 4
#define FOUR_OK 5
#define FOUR_ANNULE 6
#define TF_COR_AMP_1 8
#define TF_COR_AMP_4 11
#define TF_COR_AMP_AV 12
#define TF_COR_AMP_FOND 13
#define TF_COR_AMP_BOUT 14
#define TF_COR_AMP_AP 15
#define TF_COR_AMP 16
#define TF_COR_PHA_1 18
#define TF_COR_PHA_4 21
#define TF_COR_PHA_AV 22
#define TF_COR_PHA_FOND 23
#define TF_COR_PHA_BOUT 24
#define TF_COR_PHA_AP 25
#define TF_COR_PHASE 26
#define TF_RAPIDE 27
#define TF_MIT 28
#define TF_NORMALE 29

#define CHOIX_SPECTRE 16
#define EXTRAIT_1 2
#define SOMME_OK 24
#define SOMME_ANULLE 25
#define EXTRAIT_TOUS 26
#define EXTRAIT_AUCUN 27

#define PARAM_IMPRIME 17
#define IMP_ANNULE 2
#define IMP_OK 3
#define IMP_MARGE_DROITE 4
#define IMP_MARGE_GAUCHE 5
#define IMP_MARGE_HAUTE 6
#define IMP_MARGE_BASSE 7
#define PILOTE_1 9
#define PILOTE_10 18
#define IMP_EPAISSEUR 19

#define PARAM_GEM 18
#define GEM_ANNULE 2
#define GEM_OK 3
#define GEM_LARGEUR 4
#define GEM_HAUTEUR 5
#define GEM_A4_PORTRAIT 6
#define GEM_A4_PAYSAGE 7
#define GEM_HAUTE 8
#define GEM_BASSE 9
#define GEM_DROITE 10
#define GEM_GAUCHE 11
#define GEM_EPAISSEUR 12

#define CHOIX_AMPLITUDE 19
#define VOISINS 2
#define AMP_LONGUEUR 3
#define AMP_DEBYE 4
#define CORAMP_LPM_CT 6
#define CORAMP_LPM_VAL 7
#define CORAMP_LPM_VAR 8
#define CORAMP_VAL_ETA 9
#define CORAMP_LPM_GRF 10
#define CORAMP_GRAPHE 12
#define AMP_OK 13
#define AMP_ANNULE 14

#define CHOIX_PHASE 20
#define PHA_OK 2
#define PHA_ANNULE 3
#define PHA_LONGUEUR 4
#define PHA_DECALAGE 5

#define LISSAGE 21
#define LISS_EXNOMBRE 3
#define LISS_NOUVEAU 4
#define LISS_EFFACER 5
#define LISS_OK 6
#define LISS_ANNULE 7
#define LISS_PUISS_2 8

#define CHOIX_STYLE 22

#define DECOMP_FOURIER 23
#define DTF_REELLE 3
#define DTF_IMAG 4
#define DTF_MODULE 5
#define DTF_ARG 6
#define DTF_OK 7
#define DTF_ANNULE 8

#define PARAM_TFI 24
#define TFI_SPECTRE 3
#define TFI_AMPLITUDE 4
#define TFI_PHASE 5
#define TFI_COMPLEXE 6
#define TFI_RAPIDE 9
#define TFI_MIT 10
#define TFI_GENERALE 11
#define TFI_PAS 12
#define TFI_KMIN 13
#define TFI_KMAX 14
#define TFI_PARAMETRE 15
#define TFI_KMIN_FEN 16
#define TFI_K_1 17
#define TFI_K_2 18
#define TFI_KMAX_FEN 19
#define TF_FEN_SYMETRIK 22
#define TFI_LST_FENETRE 23
#define TFI_FENETRE_1 24
#define TFI_FENETRE_5 28
#define TFI_FEN_AVANT 29
#define TFI_FOND_ASC 30
#define TFI_BOUTON_ASC 31
#define TFI_FEN_APRES 32
#define TFI_CALC 33
#define TFI_ANNULE 34

#define RECOMP_FOURIER 25
#define RECOMP_GR1_1 3
#define RECOMP_GR1_AVANT 13
#define RECOMP_GR1_APRES 15
#define RECOMP_GR1_FOND 16
#define RECOMP_GR1_BOUT 17
#define RECOMP_GR2_AVANT 18
#define RECOMP_GR2_APRES 20
#define RECOMP_GR2_FOND 21
#define RECMP_GR2_BOUT 22
#define RECOMP_GR2_2 24
#define RECOMP_OK 35
#define RECOMP_ANNULE 36

#define ELIM_MU0_TROIS 26
#define EL3_MOINS 2
#define EL3_FOND 3
#define EL3_BOUTON 4
#define EL3_PLUS 5
#define CHX_MU0_DEUX 6
#define EL3_VALEUR 7

#define INTG_XANES 27
#define INTG_XMIN 3
#define INTG_XMAX 4
#define INTG_RESULTAT 5

#define ORDONNE_GRAPHE 28
#define TRI_TRI_OK 2
#define TRI_ALEATOIRE 4
#define TRI_BLOCS 5
#define TRI_NBR_BLOCS 6
#define TRI_FOND_DOUBLON 8
#define TRI_ELIM_DOUBLON 9
#define TRI_MOY_DOUBLON 10
#define TRI_GROUPER_OK 11
#define TRI_GROUPE_PARAM 12
#define TRI_DOUBLES_OK 13
#define TRI_PARAM_DOUBLE 14
#define TRI_DOUBLON_OK 15
#define TRI_LANCER 17
#define TRI_ANNULE 18

#define FUSION_GRAPHES 29
#define FUSION_SEPARE 1
#define FUSION_TITRE 2
#define FUSION_GR1 4
#define FUSION_GR11 14
#define FUSION_AVANT 15
#define FUSION_FOND 16
#define FUSION_BOUTON 17
#define FUSION_APRES 18
#define FUS_DOUBLE_FOND 19
#define FUS_ELIMINER 20
#define FUS_MOYENNE 21
#define FUS_GARDER 22
#define FUS_DOUBLE_NOM 23
#define FUSION_OK 24
#define FUSION_ANNULE 25
#define FUSION_AUCUN 26
#define FUSION_TOUS 27
#define FUSION_TOUT_TYPE 28
#define FUSION_EXAFS 29
#define FUSION_TYPE 30

#define ELIM_ABERRANCE 30
#define ABER_XMIN1 2
#define ABER_XMAX1 4
#define ABER_ERREUR 6
#define ABER_XMIN2 8
#define ABER_XMAX2 10
#define ABER_MOINS 12
#define ABER_FOND 13
#define ABER_VALEUR 14
#define ABER_PLUS 15
#define ABER_POLY1 16
#define ABER_POLY2 17
#define ABER_SPLINE 18

#define PARAM_LEGENDE 31
#define LEG_TITRE 1
#define LEG_GRAD_LOG 4
#define LEG_GRAD_DECIMAL 5
#define LEG_NONGRADUE 6
#define LEG_UNITE 7
#define LEG_DIX 9
#define LEG_CENT 10
#define LEG_TXT_COUL 12
#define LEG_TEXTE 13
#define LEG_GRILLE 14
#define LEG_STYLE 17
#define LEG_OK 18
#define LEG_ANNULE 19
#define AXE_SCIENTIFIK 20
#define LEG_TXT_TAILLE 21
#define LEG_FNT_AVANT 23
#define LEG_FNT_APRES 24
#define LEG_GRAD_COUL 26
#define LEG_VISIBLE 27
#define LEG_FNT_NOM 28

#define ARB_QUITTER 32
#define QUIT_NOM_GRAPHE 2
#define QUIT_PERDRE 3
#define QUIT_TTPERDRE 4
#define QUIT_SAUVER 5
#define QUIT_TTSAUVER 6
#define QUIT_RESTER 7

#define CALC_PHASE 33
#define PHA_K 4
#define PHA_L1 5
#define PHA_L2 6
#define PHA_L3 7
#define PHA_CTR_FOND_MOD 9
#define PHA_CTR_THEORIE 10
#define PHA_CTR_EXP 11
#define PHA_CTR_1 13
#define PHA_CTR_4 16
#define PHA_CTR_AVANT 17
#define PHA_CTR_FOND 18
#define PHA_CTR_BOUTON 19
#define PHA_CTR_APRES 20
#define PHA_CTR_NATURE 21
#define PHA_EXP_FOND_MOD 23
#define PHA_THEORIE 24
#define PHA_EXP 25
#define PHA_EXP_1 27
#define PHA_EXP_4 30
#define PHA_EXP_AVANT 31
#define PHA_EXP_FOND 32
#define PHA_EXP_BOUTON 33
#define PHA_EXP_APRES 34
#define PHA_EXP_NATURE 35
#define PHA_CALC 36
#define PHA_ANNULER 37
#define CALC_PHA_DEBUT 38
#define CALC_PHA_FIN 39
#define CALC_PHA_PAS 40
#define PHA_CENTRAL_OK 41
#define PHA_REFLEC_OK 42

#define SSMEN_RECTANGLES 34
#define SSMEN_NV_RECT 1
#define SSMEN_EFF_RCT 2
#define COPIE_RECTANGLE 3
#define CHANGE_RECTANGLE 4
#define SSMEN_EXPORT 6
#define SSMEN_IMPRIME 7

#define TRONQUE_GRAPHE 35
#define TRQ_XMIN_TXT 1
#define TRQ_XMIN 2
#define TRQ_XMAX_TXT 3
#define TRQ_XMAX 4
#define TRQ_UNITE 5
#define TRONQUE_EXT 6
#define TRONQUE_INT 7

#define TYPE_IMAGE 36
#define IMG_GEM 2
#define IMG_IMG 3
#define IMG_PS 4
#define IMG_ANNULE 5

#define RECOMP_BRUT 37
#define RCP_BRUT_IO_FND 1
#define RCP_BRT_I0_1 2
#define RCP_BRT_I0_4 5
#define RCP_BRT_I0_AV 6
#define RCP_BRT_I0_ASC 7
#define RCP_BRT_I0_BOUT 8
#define RCP_BRT_I0_AP 9
#define RCP_BRT_I1_FND 12
#define RCP_BRT_I1_1 13
#define RCP_BRT_I1_4 16
#define RCP_BRT_I1_AV 17
#define RCP_BRT_I1_ASC 18
#define RCP_BRT_I1_BOUT 19
#define RCP_BRT_I1_AP 20
#define RCP_BRT_FLUO 22
#define RCP_BRT_ABSORBE 23
#define RCP_BRT_OK 24
#define RCP_BRT_ANNULE 25

#define CHG_BORNES 38
#define BORNE_XMIN 1
#define BORNE_XMAX 2
#define BORNE_YMIN 3
#define BORNE_YMAX 4
#define BORNE_OK 5
#define BORNE_COLLE 7
#define BORNE_ANNULE 8

#define NORM_XANES 39
#define NXAN_ENORM_TXT 1
#define NXAN_ENORM 2
#define NXAN_E2_TXT 3
#define NXAN_E2 4
#define NXAN_D_MOINS 5
#define NXAN_D_FOND 6
#define NXAN_DEGRE 7
#define NXAN_D_PLUS 8
#define NXAN_RAPIDE 11
#define NXAN_LENTE 12
#define NORM_NOUVEAU 13
#define NORM_1_POINT 14
#define NORM_MU0 15

#define PARAM_FOURIER 40
#define FOUR_KMIN 2
#define FOUR_KMAX 3
#define FOUR_PARAM_TXT 4
#define FOUR_PARAM 5
#define FOUR_DEGRE_TXT 6
#define FOUR_DEGRE 7
#define FOUR_FEN_AVANT 8
#define FOUR_FEN_FOND 9
#define FOUR_FEN_BOUTON 10
#define FOUR_FEN_APRES 11
#define FOUR_FEN_1 13
#define FOUR_FEN_4 16
#define PARAM_TF_K1 17
#define PARAM_TF_K2 18
#define TF_SYMETRIQUE 19

#define PARAM_FOUR_INVER 41
#define TF_INV_RMIN 2
#define TF_INV_RMAX 3
#define TF_INV_PARAM 4
#define TF_INV_FEN1 6
#define TF_INV_FEN_4 9
#define TF_INV_FEN_FOND 10
#define TF_INV_FEN_BOUT 11
#define TF_INV_FEN_APRES 12
#define TF_INV_FEN_AVANT 13
#define PRPTFI_SYMETRIK 14
#define PRPTFI_R1 15
#define PRPTFI_R_2 16

#define OTE_MU0_CALC 42
#define MU0CALC_TXT_E0 1
#define MU0CALC_E0 2
#define MU0CALC_ECH_K 4
#define MU0CALC_ECH_EV 5
#define MU0CALC_NOUVEAU 6
#define MU0CALC_DEGRE 7

#define CORR_ENERGIE 43
#define ENERGIE_SEUIL 2
#define SEUIL_MESURE 3
#define SEUIL_ATTENDU 4
#define COR_NRJ_DIST 5
#define COR_NRJ_DECALE 6
#define COR_NRJ_BRAGG 7
#define COR_NRJ_OK 8
#define COR_NRJ_ANNULE 9

#define TH_CALC_MU0 44
#define THMU0_COEF_C1 2
#define THMU0_COEF_D1 3
#define THMU0_ELEMENT 4
#define THMU0_ADAPTE 5
#define THMU0_OK 6
#define THMU0_SEUIL 7
#define THMU0_KMIN 8
#define THMU0_KMAX 9
#define THMU0_ANNULE 10
#define THMU0_PAS 11
#define MU0TH_C2 12
#define MU0TH_D2 13
#define MU0TH_ABSOLU 14
#define THMU0_LAMBDA 17
#define THMU0_ENERGIE 18
#define THMU0_K 19
#define THMU0_SEUIL_K 21
#define THMU0_SEUIL_LI 22
#define THMU0_LII 23
#define THMU0_LIII 24
#define THMU0_MI 25
#define THMU0_MII 26

#define DECOMP_GRAPHE 45
#define DCMP_ERREUR 1
#define DCMP_COEF_A 2
#define DCMP_COEF_B 3
#define DCMP_SPECTRE_A 6
#define DCMP_SPECTRE_B 7
#define DCMP_XMIN 9
#define DCMP_XMAX 10

#define MEN_THEORIE 46
#define TIT_EXTRAIT 4
#define TIT_SIGNAL 5
#define TIT_STRUCTURES 6
#define TIT_MODELES 7
#define MENTH_INFOS 10
#define MENTH_MU0 19
#define MENTH_MATRICE 20
#define MEN_CALC_PHASE 22
#define MEN_CALC_AMP 23
#define MEN_LIBREPARCOUR 24
#define MEN_LST_ATOMES 29
#define MEN_ATM_CHARGER 30
#define MEN_ATM_SAUVER 31
#define ATM_IMPORT_CCDB 33
#define ATM_IMPORT_ASCII 34
#define ATM_VUE_3D 36
#define ATM_VUE_MODELEUR 37
#define EXPORT_POV 38
#define FEFF_GENERAUX 41
#define FEFF_POTENTIEL 42
#define FEFF_STRUCTURE 43
#define MENTH_VERIFIER 44
#define MENTH_MULTIFEFF 45
#define FEFF_CHARGE 46
#define FEFF_SAUVER 47
#define FEFF_LANCER 48
#define MEN_XAN_FEFF 50
#define MEN_XAN_GENERAL 51
#define MEN_XAN_DEBOGUE 52

#define FEFF_PARAM_GENE 47
#define FEFF_COMPOSE 2
#define FEFF_UTILISATEUR 3
#define FEFF_MODS_FOND 4
#define FEFF_POTPHA 5
#define FEFF_CHEMINS 6
#define FEFF_GENFMT 7
#define FEFF_FF2CHI 8
#define FEFF_MODULES_TXT 9
#define FEFF_AFF1_FOND 11
#define FEFF_MOD1_MIN 12
#define FEFF_MOD1_AFF1 13
#define FEFF_MOD1_AFF2 14
#define FEFF_MOD1_AFF5 15
#define FEFF_AFF2_FOND 17
#define FEFF_MOD2_MIN 18
#define FEFF_MOD2_AFF1 19
#define FEFF_MOD2_AFF2 20
#define FEFF_MOD2_AFF3 21
#define FEFF_MOD2_AFF5 22
#define FEFF_AFF3_FOND 24
#define FEFF_MOD3_LIMITE 25
#define FEFF_MOD3_AFF1 26
#define FEFF_AFF4_FOND 28
#define FEFF_MOD4_MIN 29
#define FEFF_MOD4_AFF1 30
#define FEFF_MOD4_AFF2 31
#define FEFF_ELIPTICITE 33
#define FEFF_X_ELLIPSE 35
#define FEFF_Y_ELLIPSE 36
#define FEFF_Z_ELLIPSE 37
#define FEFF_POLARISE 38
#define FEFF_X_POLARISE 40
#define FEFF_Y_POLARISE 41
#define FEFF_Z_POLARISE 42
#define FEFF_NEMAXE 43
#define FEFF_NOGEOM 44
#define FEFF_GENE_OK 45
#define FEFF_GENE_ANNULE 46
#define FEFF_XANES 47
#define FEF_POLAR_RECT 48
#define FEF_POLAR_CIRC 49
#define FEFF_FL_PC 52
#define FEFF_FL_UNIX 53
#define FEFF_FL_MAC 54

#define FEFF_PARAM_MODEL 48
#define FEFF_POT_0 3
#define FEFF_POT_1 4
#define FEFF_POT_2 5
#define FEFF_POT_3 6
#define FEFF_POT_4 7
#define FEFF_POT_5 8
#define FEFF_POT_6 9
#define FEFF_POT_7 10
#define FEFF_DEBYE 11
#define FEFF_DECALAGE 13
#define FEFF_LACUNE_FOND 15
#define FEFF_LACUNE_K 16
#define FEFF_LACUNE_L1 17
#define FEFF_LACUNE_L2 18
#define FEFF_LACUNE_L3 19
#define FEFF_DEBYE_T 20
#define FEFF_POT_0_CHX 21
#define FEFF_POT_1_CHX 22
#define FEFF_POT_2_CHX 23
#define FEFF_POT_3_CHX 24
#define FEFF_POT_4_CHX 25
#define FEFF_POT_5_CHX 26
#define FEFF_POT_6_CHX 27
#define FEFF_POT_7_CHX 28
#define FEFF_HEDIN 30
#define FEFF_DIRAC 31
#define FEFF_FONDAMENTAL 32
#define FEFF_MIXTE 33
#define FEFF_S0_2 34
#define FEFF_ELARGIT 35
#define FEFF_AFOLP 36
#define FEFF_FLP_1 37
#define FEFF_FLP_2 38
#define FEFF_FLP_3 39
#define FEFF_FLP_4 40
#define FEFF_FLP_5 41
#define FEFF_FLP_6 42
#define FEFF_FLP_7 43
#define FEFF_RECOUVRE_1 44
#define FEFF_RECOUVRE_2 45
#define FEFF_RECOUVRE_3 46
#define FEFF_RECOUVRE_4 47
#define FEFF_RECOUVRE_5 48
#define FEFF_RECOUVRE_6 49
#define FEFF_RECOUVRE_7 50
#define FEFF_DEBYE_TD 51
#define FEFF_MODELE_OK 52
#define FEFF_MODELE_ANN 53
#define FEFF_ION_0 54
#define FEFF_ION_1 55
#define FEFF_ION_2 56
#define FEFF_ION_3 57
#define FEFF_ION_4 58
#define FEFF_ION_5 59
#define FEFF_ION_6 60
#define FEFF_ION_7 61
#define FEFF_EXCHANGE 62
#define FEFF_SIG2 63
#define FEFF_VAL_SIGMA 64

#define FEFF_PAR_STRUCT 49
#define FEF_NOM_PREM_ATM 6
#define FEF_NOM_DERN_ATM 21
#define FEF_ATM_AVANT 22
#define FEF_ATM_FND 23
#define FEF_ATM_BOUTON 24
#define FEF_ATM_APRES 25
#define FEF_X_ATOME 26
#define FEF_Y_ATOME 27
#define FEF_Z_ATOME 28
#define FEF_ATM_POT 29
#define FEF_AJOUTER 30
#define FEF_EFFACER 31
#define FEF_TT_EFFACE 32
#define FEF_TOUT_CHOISIR 33
#define FEF_CREER 34
#define FEF_COPIER 35
#define FEF_SS_OK 36
#define FEF_PREM_SS 39
#define FEF_DERN_SS 44
#define FEF_SS_AVANT 45
#define FEF_SS_FOND 46
#define FEF_SS_BOUTON 47
#define FEF_SS_APRES 48
#define FEF_SS_INDEX 49
#define FEF_SS_POT 50
#define FEF_SS_DEG 51
#define FEF_SS_DIST 52
#define FEF_NV_SS 53
#define FEF_EFF_SS 54
#define FEF_OVERLAP_OK 55
#define FEF_OVL_POT_AV 58
#define FEF_OVL_POT_FND 59
#define FEF_OVL_CHX_POT 60
#define FEF_OVL_POT_AP 61
#define FEF_OVL_AVANT 62
#define FEF_OVL_FOND 63
#define FEF_OVL_BOUTON 64
#define FEF_OVL_APRES 65
#define FEF_OVL_P_POT 67
#define FEF_OVL_P_NBR 68
#define FEF_OVL_P_DIST 69
#define FEF_OVL_D_POT 79
#define FEF_OVL_D_NBR 80
#define FEF_OVL_D_DIST 81
#define FEF_RMAX 82
#define FEF_RMULT 83
#define FEFF_NLEG 84
#define FEF_STRCT_OK 85
#define FEF_STRCT_ANNULE 86
#define FEF_NV_OVL 87
#define FEF_EFF_OVL 88

#define INFOS_GRAPHE 50
#define GRF_INFOS_NOM 2
#define GRF_INFOS_XMIN 3
#define GRF_INFOS_XMAX 4
#define GRF_INFOS_YMIN 5
#define GRF_INFOS_YMAX 6
#define GRF_INFOS_NBRTPS 8
#define GRF_INFOS_NORM 9
#define GRF_INFOS_MODIM 10
#define GRF_INFOS_MODRE 11
#define GRF_INFOS_RE_IM 12
#define GRF_INFOS_OK 13
#define GRF_INFOS_ANNULE 14

#define BARRE_ERREUR 51
#define BERR_GRF_PREMNOM 3
#define BERR_GRF_DER_NOM 9
#define BERR_GRF_AVANT 10
#define BERR_GRF_ASC_FND 11
#define BERR_GRF_ASC_BOU 12
#define BERR_GRF_APRES 13
#define BERR_AJOUTER 14
#define BERR_EFFACER 15
#define BERR_TT_AJOUTER 16
#define BERR_TT_EFFACER 17
#define BERR_OK 18
#define BERR_ANNULER 19
#define BERR_X_IGNORE 21
#define BERR_X_MOYENNE 22
#define BERR_X_INTERPOLE 23
#define BERR_TITRE_X 24
#define BERR_GARDE_MOYEN 26
#define BERR_MUL_SIGMA 28
#define BERR_MUL_SIGMA_V 29
#define BERR_MUL_SIGMA_S 30
#define BERR_S_MOYEN 31
#define BERR_VAL_ERREUR 33
#define BERR_TITRE_Y 34

#define EXAFS_GENERAL 52
#define EXF_MU_MATRICE 2
#define EXF_VALEUR_E1 4
#define EXF_MUM_DROITE 6
#define EXF_MUM_VICT1 7
#define EXF_MUM_VICT2 8
#define EXF_MUM_LANS 9
#define EXF_MU0_CALC 10
#define EXV_TITRE_MU0 12
#define EXF_MU0_REFAIT 13
#define EXF_VALEUR_E0 15
#define EXF_VALEUR_K 16
#define EXF_NORMALISER 17
#define EXF_VALEUR_E2 18
#define EXV_DEGRE_MU0_I 19
#define EXF_MU0_I_RAPIDE 21
#define EXF_MU0_I_LENT 22
#define EXF_DEGRE_MU0_II 24
#define EXF_MU0_II_RAPID 26
#define EXF_MU0_II_LENT 27
#define EXF_PARAM_LISSAG 29
#define EXF_CALCULER 30
#define EXF_ANNULER 31
#define EXF_LISSER 32
#define EXF_NBR_PTS_LISS 33
#define EXF_TF 34
#define EXF_TF_FEN_AVANT 36
#define EXF_TF_FEN_APRES 37
#define EXF_TF_FENETRE 38
#define EXF_TF_PARAM 39
#define EXF_TF_KMIN 40
#define EXF_TF_KMAX 41
#define EXF_TFI 42
#define EXF_TFI_FEN_AV 44
#define EXF_TFI_FEN_AP 45
#define EXF_TFI_FENETRE 46
#define EXF_TFI_PARAM 47
#define EXF_TFI_RMIN 48
#define EXF_TFI_RMAX 49
#define EXF_CHARGER 50
#define EXF_SAUVER 51

#define IMPORT_ASCII 53
#define ASCII_NBR_COLONN 2
#define ASCII_COLONNE_X 3
#define ASCII_COLONNE_Y 4
#define ASCII_IGNORE_DEB 5
#define ASCII_COMMENTAIR 6
#define ASCII_OK 7
#define ASCII_ANNULER 8
#define IMPASC_ANALYSE 9
#define IMPASC_EDA 10
#define IMPASC_GNUPLOT 11
#define IMPASC_IMAG 12
#define IMPASC_COMPLEXE 13
#define IMPASC_TYPE 15

#define SS_NOUVELLE 54
#define NVSS_INDEX 2
#define NVSS_POTENTIEL 3
#define NVSS_DEGENERE 4
#define NVSS_DIST 5
#define NVSS_CREER 6
#define NVSS_ANNULER 7

#define FATM_NOUVEAU 55
#define AJFATM_POTENTIEL 2
#define AJFATM_PREM_ATM 4
#define AJFATM_DERN_ATM 12
#define AJFATM_ASC_FOND 13
#define AJFATM_ASC_BOUT 14
#define AJFATM_APRES 15
#define AJFATM_AVANT 16
#define AJFATM_X 17
#define AJFATM_Y 18
#define AJFATM_Z 19
#define AJFATM_NUM_ATOM 20
#define FJATM_CREER 21
#define AJFATM_TRV_POT 22
#define AJFATM_AJOUTER 23
#define AJFATM_ANNULE 24

#define FEF_CREER_ATOME 56
#define FATM_NUM_ATOMIK 2
#define FATM_POTENTIEL 3
#define FATM_X 4
#define FATM_Y 5
#define FATM_Z 6
#define FATM_CREER 7
#define FATM_ANNULER 8

#define LISTE_ATOMES 57
#define LST_ATM_PREMIER 2
#define LST_ATM_DERNIER 18
#define LST_ATM_AVANT 19
#define LST_ATM_FOND_ASC 20
#define LST_ATM_BOUTON 21
#define LST_ATM_APRES 22
#define LST_ATM_CENTRER 23
#define LST_ATM_NUM_ATOM 24
#define LST_ATM_X 25
#define LST_ATM_Y 26
#define LST_ATM_Z 27
#define LST_ATM_LIER 28
#define LST_ATM_DELIER 29
#define LST_ATM_EFFACER 30
#define LST_ATM_COPIER 31
#define LST_ATM_CREER 32
#define LSTATM_FRAG_1 34
#define LSTATM_FRAG_DER 38
#define LSTATM_FRAG_AV 39
#define LSTATM_FRAG_AP 40
#define LSTATM_FRAG_FOND 41
#define LSTATM_FRAG_BOUT 42
#define LSTATM_CONTROLE 43

#define IMPORTE_ATOMES 58
#define IMP_ATM_FORMAT 1
#define IMP_ATM_LGN_SAUT 3
#define IMP_ATM_OK 4
#define IMP_ATM_ANNULE 5
#define IMP_ATM_NUM_LIT 6
#define IMP_ATM_REF 7
#define IMP_COR_NUMERO 8
#define IMP_COR_REF 9
#define ATM_IMP_ASCII 11
#define IMP_ATM_JNL 12
#define IMP_ATM_COR 13
#define IMP_COR_ORTHO 14
#define IMP_COR_FRAC 16
#define IMP_ATM_A 18
#define IMP_ATM_B 19
#define IMP_ATM_C 20
#define IMP_ATM_ALPHA 21
#define IMP_ATM_BETA 22
#define IMP_ATM_GAMMA 23

#define CREER_ATOME 59

#define GRF_OPERATIONS 60
#define OPER_SEPARE_1 1
#define OPER_SEPARE_2 2
#define OPER_REFERENCE 4
#define OPER_X_AFFINE 5
#define OPER_X_LIN_A 6
#define OPER_X_LIN_B 7
#define OPER_X_LIN_C 8
#define OPER_Y_AFFINE 9
#define OPER_LIN_Y_B 10
#define OPER_Y_LIN_B 11
#define OPER_Y_LIN_C 12
#define OPER_X_GENE 13
#define OPER_X_FONCTION 14
#define OPER_Y_GENE 15
#define OPER_Y_FONCTION 16
#define OPER_GRF_AVANT 18
#define OPER_ASC_FOND 19
#define OPER_ASC_BOUTON 20
#define OPER_GRF_APRES 21
#define OPER_LST_FOND 22
#define OPER_PREM_GRF 23
#define OPER_GRF_2 24
#define OPER_GRF_3 25
#define OPER_GRF_4 26
#define OPER_GRF_5 27
#define OPER_DERNIER_GRF 28
#define OPER_COEF_1 29
#define OPER_COEF_2 30
#define OPER_COEF_3 31
#define OPER_COEF_4 32
#define OPER_COEF_5 33
#define OPER_COEF_6 34
#define OPER_AJOUTER 35
#define OPER_EFFACER 36
#define OPER_TT_EFFACER 37
#define OPER_TT_AJOUTER 38
#define OPER_SOMME 40
#define OPER_LIN_MULTI 41
#define OPER_RECALER 42
#define OPER_MOYENNER 43
#define OPER_ERREUR 44
#define OPERE_LANCER 45
#define OPER_NV_GRF 46
#define OPER_EFF_AUTRES 47

#define MEN_AJUSTE 61
#define MEN_AJ_INFOS 9
#define AJ_GENERAUX 20
#define AJ_INITIAL 21
#define AJ_DEMARRE 23
#define MENAJ_IMP_EDAFIT 25
#define MENAJ_EXP_EDAFIT 26

#define FOVL_NOUVEAU 62
#define FOVL_MODIFIE 2
#define FOVL_POTENTIEL 3
#define FOVL_NOMBRE 4
#define FOVL_DISTANCE 5
#define FOVL_OK 6
#define FOVL_ANNULER 7

#define EXPORT_PS 63
#define EXP_PS_LARG 3
#define EXP_PS_HAUTEUR 4
#define EXP_PS_TOURNE 5
#define EXP_PS_HAUT 6
#define EXP_PS_BAS 7
#define EXP_PS_DROITE 8
#define EXP_PS_GAUCHE 9
#define EXP_PS_EPAIS 10
#define EXP_PS_FONTE 12
#define EXP_PS_OK 13
#define EXP_PS_ANNULER 14
#define EXP_PS_NIVEAU2 15

#define FEFF_MODIFIE_XAN 64
#define FXAN_XANES 2
#define FXAN_ACTIF 3
#define FXAN_VINTFIX 4
#define EGRID_MOINS 6
#define EGRID_FOND 7
#define EGRID_NBR_PTS 8
#define EGRID_PLUS 9
#define EGRID_POINT_1 10
#define EGRID_POINT_2 11
#define EGRID_POINT_3 12
#define EGRID_POINT_4 13
#define EGRID_POINT_5 14
#define EMESH_POINT_1 15
#define EMESH_POINT_2 16
#define EMESH_POINT_3 17
#define EMESH_POINT_4 18
#define EMESH_POINT_5 19
#define FXAN_OK 21
#define FXAN_ANNULE 22

#define AJUSTE_GENERAL 65
#define GENE_SEPARE_1 1
#define GENE_SEPARE_2 2
#define GENE_SEPARE_3 3
#define GENE_SEPARE_4 4
#define GENE_GAMMA 6
#define AJ_GENE_S02 7
#define GENE_DELTAE 8
#define GENE_VAL_DEBUT 9
#define GENE_CONSTANT 10
#define GENE_VARIABLE 11
#define GENE_MINIMUM 14
#define GENE_MAXIMUM 15
#define GENE_PAS 16
#define DELTAE_GENERAL 19
#define DELTAE_COUCHE 20
#define GAMMA_GENERAL 23
#define GAMMA_COUCHE 24
#define GENE_LPM_GAMMA 27
#define GENE_LPM_G_ETA 28
#define GENE_LPM_INCLUS 29
#define GENE_VAL_ETA 30
#define GENE_PREM_ALGO 33
#define GENE_DER_ALGO 37
#define GENE_ALGO_AVANT 38
#define GENE_ALGO_FOND 39
#define GENE_ALGO_BOUTON 40
#define GENE_ALGO_APRES 41
#define GENE_UTIL_SIGMA 42
#define FIN_N_TOURS 44
#define FIN_VAR_FAIBLE 45
#define FIN_ERREUR 46
#define FIN_MAX_TOURS 47
#define FIN_VAL_DELTA 48
#define FIN_ERR_MIN 49
#define GENE_PONDERE 51
#define NCGEN_KMIN 52
#define NCGEN_KMAX 53
#define NCGEN_PH_CENTRAL 55
#define NCGEN_MDR_CARRES 56

#define PARAM_COUCHES 66
#define COUCHES_SEP_1 1
#define COUCHE_SEP_2 2
#define NV_COUCHE 3
#define EFFACER_COUCHE 4
#define TTEFFACER_COUCHE 5
#define COUCHE_CREER 6
#define COUCHE_NOM 7
#define COUCHE_N 9
#define COUCHE_DEBYEW 10
#define COUCHE_C1 11
#define COUCHE_C3 12
#define COUCHE_LONGUEUR 13
#define COUCHE_C2 14
#define COUCHE_C4 15
#define COUCHE_DELTAE 16
#define COUCHE_GAMMA 17
#define COUCHE_VAL_DEBUT 18
#define COUCHE_CONSTANT 19
#define COUCHE_VAR_REF 21
#define COUCHE_VAL_MIN 23
#define COUCHE_VAL_MAX 24
#define COUCHE_RELATION 26
#define COUCHE_VAL_RELAT 27
#define COUCHE_CHEMIN 29
#define COUCHE_EXAFS 31
#define COUCHE_GRF_AMP 33
#define COUCHE_GRF_PHASE 35
#define COUCHE_PAS 36
#define COUCHE_UTILISER 37

#define NORM_EXAFS 67
#define NORM_EXF_NOUVEAU 2
#define NORM_DEGRE 3
#define NORM_EV 5
#define NORM_ANGSTROM 6
#define MU0_CALCULE 7
#define MU0_A_UTILISER 9
#define MU0_THEORIQUE 10
#define NORM_TXT_CTE_1 12
#define NORM_CONSTANTE_1 13
#define MU0_CONSTANT 15
#define MU0_HEITLER 16
#define MU0_LANSBERGER 17
#define MU0_VICTOREEN 18
#define MU0_AUTRE 19
#define MU0_MAC_KALE 20
#define NORM_TXT_CTE_2 21
#define NORM_CTE_2 22
#define NORM_TXT_CTE_3 23
#define NORM_CTE_3 24
#define NORM_TXT_CTE_4 25
#define NORM_CTE_4 26
#define NORM_TXT_CTE_5 27
#define NORM_CTE_5 28
#define NORM_ELEMENT 29
#define NORM_PROPOSER 30
#define NORM_TXT_CTE_6 31
#define NORM_CTE_6 32
#define NORM_TXT_CTE_7 33
#define NORM_CTE_7 34
#define NORM_K 37
#define NORM_L1 38
#define NORM_L2 39
#define NORM_L3 40
#define NORM_M1 41
#define NORM_M2 42
#define NORM_M3 43
#define NORM_M4 44
#define NORM_TXT_CTE_8 45
#define NORM_CTE_8 46
#define NORM_TXT_CTE_9 47
#define NORM_CTE_9 48
#define NORMALISER 49
#define NORM_ANNULER 50

#define RESULT_N_COUCHES 68
#define RNC_ITERATION 4
#define RNC_TEMPS 5
#define RNC_NCOUCHES 6
#define RNC_NBR_PARAMS 7
#define RNC_NYQUIST 8
#define RNC_VAL_S02 9
#define RNC_DELTAE_GENE 10
#define RNC_GAMMA_GENE 11
#define RNC_NOM_COUCHE 14
#define RNC_VAL_N 15
#define RNC_DEBYE_WALLER 16
#define RNC_VAL_R 17
#define RNC_DELTAE_COUCH 18
#define RNC_GAMMA_COUCHE 19
#define RNC_CUMUL1 20
#define RNC_CUMUL_3 21
#define RNC_CUMUL2 22
#define RNC_CUMUL4 23
#define RNC_COUCHE_AVANT 24
#define RNC_COUCHE_APRES 25
#define RNC_ARRETER 27
#define RNC_ERREUR 28
#define RSNC_AJUSTE 29
#define RNC_CONTINUER 30
#define RNC_RESIDU 31

#define MULTI_FICHIERS 69
#define MF_SEPAREMENT 2
#define MF_FUSIONNER 3
#define MF_MOYENNER 4
#define MF_SSTITRE_X 5
#define MF_X_MOYENNE 7
#define MF_X_MOY_CALEE 8
#define MF_X_INTERPOLER 9
#define MF_X_MIN 10
#define MF_X_MAX 11
#define MF_X_PAS 12
#define MF_MOY_I0_S_I 16
#define MF_MOY_I_S_MOY 17
#define MF_LOG_DIV_MOY 20
#define MF_LOG_MOY_DIV 21
#define MF_MOY_LOG_DIV 22
#define MF_SSTITRE_Y 23
#define MF_DEMARRER 24

#define AFF_STRUCTURE 70
#define AFST_RX_MOINS 2
#define AFST_RX_FOND 3
#define AFST_RX_BOUTON 4
#define AFST_RX_PLUS 5
#define AFST_RX_VALEUR 6
#define AFST_RY_MOINS 8
#define AFST_RY_FOND 9
#define AFST_RY_BOUTON 10
#define AFST_RY_PLUS 11
#define AFST_RY_VALEUR 12
#define AFST_RZ_MOINS 14
#define AFST_RZ_FOND 15
#define AFST_RZ_BOUTON 16
#define AFST_RZ_PLUS 17
#define AFST_RZ_VALEUR 18
#define AFST_D_MOINS 20
#define AFST_D_FOND 21
#define AFST_D_BOUTON 22
#define AFST_D_PLUS 23
#define AFST_D_VALEUR 24
#define AFST_PREM_MOL 27
#define AFST_MOL2 28
#define AFST_MOL_3 29
#define AFST_MOL_4 30
#define AFST_MOL_5 31
#define AFST_DERN_MOL 32
#define AFST_MOL_AVANT 33
#define AFST_MOL_APRES 34
#define AFST_MOL_FOND 35
#define AFST_MOL_BOUTON 36
#define AFST_FRAGMENT_2 40
#define AFST_FRAGMENT_6 41
#define AFST_FRAGMENT_3 42
#define AFST_FRAGMENT_4 43
#define AFST_FRG1_VIS 44
#define AFST_FRG2_VIS 45
#define AFST_FRG3_VIS 46
#define AFST_FRG4_VIS 47
#define AFST_FRG5_VIS 48
#define AFST_FRG6_VIS 49
#define AFST_FRAGMENT_5 50
#define AFST_FRAGMENT_1 51
#define AFST_FRG_FOND 52
#define AFST_FRG_BOUTON 54
#define AFST_FRG_AVANT 55
#define AFST_FRG_APRES 56
