/* LASE : logiciel d'analyse des spectres EXAFS
   (c) 1996-1998, Emmanuel CURIS
   Ce fichier : 29 septembre 1998

   Module de  Calcul formel 

   Tout ce qui tourne autour d'une variable
*/

#include <stdio.h>
#include <stdlib.h>

#include "c_formel.h"

/* ~~~~~~~~ Variables locales  ce module ~~~~~~~~ */

/* ~~~~~~~~ Fonctions locales  ce module ~~~~~~~~ */

/* ~~~~~~~~ Ralisation pratique du module ~~~~~~~ */

/* -------- Rcupration de la valeur d'une variable -------- */

double VAR_prend_valeur(Variable *variable)
{
  if (variable == NULL) return 0;

  switch (variable->type)
  {
  case VAR_CONSTANTE:
    return variable->valeur_initiale;

  case VAR_LIBRE:
    return variable->contenu.valeur;

  case VAR_COPIE:
    return VAR_prend_valeur(variable->contenu.original);

  case VAR_EXPRESSION:
  case VAR_RELATION:
    /* utiliser l'expression pour calculer la valeur de la variable */
    break;
  }

  return 0; /* Serait franchement trange */
}
