/* LASE - Logiciel d'Analyse des Spectres EXAFS
   (c) 1996-1998, Emmanuel CURIS
   Ce fichier : cration le 16 septembre 1998

   Module d'ajustement par un modle  n couches

   Variables globales pour ce groupe de fonctions
*/

#define _VARIABLES_ /* Pour rester compatible avec "couches.h" et ses extern... */

#include <stdio.h>
#include <stdlib.h>

#include "EXAFS.H"
#include "SYSTEME.H"
#include "GRAPHES.H"

#include "couches.h"

/* ------ Variables = paramtres gnraux de l'ajustement ------ */

Variable Delta_E = {0, 0, 0, 0, VAR_CONSTANTE, {0}}; /* Dans le cas o il est commun  toutes les couches */
Variable Gamma   = {0, 0, 0, 0, VAR_CONSTANTE, {0}}; /* Mme remarque */
Variable S0_2    = {1, 0.5, 1, 0, VAR_CONSTANTE, {0}}; /* Attnuation due aux effets multi-lectroniques */

unsigned long type_algorithme = 1; /* Type d'algorithme utilis - UL pour simplifier utilisation du dfileur */

Couche *premiere_couche = NULL;

boolean deltae_general = VRAI;    /* FAUX si un delta_e par couche */
boolean gamma_general = VRAI;     /* FAUX si un gamma par couche   */
int type_gamma = GENE_LPM_INCLUS; /* Faon de calculer gamma       */
double val_eta = 0;               /* Valeur de ta, si ncessaire  */

double kmin_ajuste = 0, kmax_ajuste = 0;      /* Bornes de l'intervalle d'ajustement */
int ponder_ajuste = 2;                        /* Coefficient de pondration          */

Graphe *phase_central = NULL;     /* Dphasage de l'atome central  */
