/* Traitement de l'E.X.A.F.S. sur Atari
        Fichier  inclure pour les differentes interfaces et la langue
   (c) 1996 - Emmanuel CURIS

   24 mars 1998
     * Ajout inclusion de "gem_var.h" : plus propre que dans graphes.h

   20 mars 1998
		 * Cration du fichier
		 * Rcupr les inclusions pour le GEM
		 * Dfinitions de 2 systemes (GEM & X_WINDOW) et 6 langues
*/

#ifndef _SYSTEME_H_

#define _SYSTEME_H_ 

/* -------- Codage des accents -------- (mme principe)
   ATARI  = jeu de rfrence -> pas de conversion       */

#define ATARI      0
#define ISO_8859_1 1
#define ISO_8859_2 0
#define PC_WINDOWS 0

#if ATARI
#  include "ac_atari.h"
#endif

#if ISO_8859_1
#  include "latin_1.h"
#endif

#if ISO_8859_2
#  include "latin_2.h"
#endif

/* -------- Inclusions pour l'interface graphique, suivant le systme utilis -------- */

#ifdef _GEM_ /* On utilise le GEM comme systme d'interface graphique */

#include "bib_gem.h"

#endif /* def _GEM_ */

#ifdef _UNIX_ /* X-Window comme systme graphique */

#define cdecl 
#define USR_FONCTION     PARMBLK
#define CONVERT_PARMBLK 

#include "Bib_X.h"

#endif /* def _UNIX_ */

#endif /* _SYSTEME_H_ */
